APT-CDROM(8)

NOM
apt-cdrom - Utilitaire de gestion des CD d'APT

SYNOPSIS

apt-cdrom [-rmfan] [-d=point_de_montage_CD-ROM] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] {add | ident | {-v | --version} | {-h | --help}}

DESCRIPTION

apt-cdrom est utilisé pour ajouter un nouveau CD à la liste des sources disponibles. apt-cdrom prend soin de déterminer la structure du disque, de corriger de possibles erreurs de gravure et de vérifier les fichiers d'index.

Il est nécessaire d'utiliser apt-cdrom pour ajouter des CD au système APT car cela ne peut être réalisé manuellement. Par ailleurs, chaque disque d'un ensemble de CD doit être séparément inséré et parcouru pour prendre en compte de possibles erreurs de gravure.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

add
    La commande add est utilisée pour ajouter un nouveau disque à la liste des sources. Elle démonte le CD, réclame l'insertion d'un disque, parcourt ensuite le disque et copie les fichiers d'index. Si le disque ne possède pas de répertoire .disk correct, un titre descriptif est demandé.

    APT utilise un identifiant de CD pour reconnaître le disque qui se trouve actuellement dans le lecteur et maintient une base de données de ces identifiants dans /var/lib/apt/cdroms.list.

ident
    Cette commande de débogage retourne l'identifiant du disque actuel ainsi que le nom du fichier stocké.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez inverser les réglages du fichiers de configuration avec -f-,--no-f, -f=no et d'autres variantes analogues.

--no-auto-detect, --cdrom
    Ne pas essayer de détecter automatiquement le chemin du CD-ROM. Habituellement combiné avec l'option --cdrom. Élément de configuration : Acquire::cdrom::AutoDetect.

-d, --cdrom
    Point de montage ; spécifie l'emplacement de montage du CD. Ce point de montage doit être spécifié dans /etc/fstab et correctement configuré. Élément de configuration : Acquire::cdrom::mount.

-r, --rename
    Change le nom d'un disque ; change le nom d'un disque ou remplace un disque pour un nom donné. Cette option oblige apt-cdrom à demander un nouveau nom à l'utilisateur. Élément de configuration : APT::CDROM::Rename.

-m, --no-mount
    Pas de montage ; empêche apt-cdrom de monter ou démonter le point de montage. Élément de configuration : APT::CDROM::NoMount.

-f, --fast
    Copie rapide ; suppose que les fichiers de paquets sont valables et ne vérifie pas chaque paquet. Cette option ne devrait être utilisée que si apt-cdrom a préalablement utilisé ce disque et n'a trouvé aucune erreur. Élément de configuration : APT::CDROM::Fast.

-a, --thorough
    Parcours minutieux des paquets ; cette option peut être nécessaire avec des CD d'anciens systèmes Debian 1.1 ou 1.2 dont les fichiers Packages sont situés dans des endroits inhabituels. Il faudra plus de temps pour parcourir le CD mais tous les paquets seront repérés.

-n, --just-print, --recon, --no-act
    Aucune modification ; ne pas modifier le fichier sources.list(5) ni les fichiers d'index. Cependant, tout est vérifié. Élément de configuration : APT::CDROM::NoAct.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VOIR AUSSI

apt.conf(5), apt-get(8), sources.list(5).

DIAGNOSTICS

apt-cdrom renvoie zéro après un déroulement normal, et le nombre décimal 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    https://bugs.debian.org/src:apt